import request from '@/utils/request'

// 查询健康咨询-科室人员资质证书信息列表
export function listCertificate(query) {
    return request({
        url: '/system/certificate/list',
        method: 'get',
        params: query
    })
}
// 查询健康咨询-科室人员信息列表
export function listHospitalPerson(query) {
    return request({
        url: '/system/hospitalPerson/list',
        method: 'get',
        params: query
    })
}
// 查询健康咨询-科室人员资质证书信息详细
export function getCertificate(id) {
    return request({
        url: '/system/certificate/' + id,
        method: 'get'
    })
}

// 新增健康咨询-科室人员资质证书信息
export function addCertificate(data) {
    return request({
        url: '/system/certificate/add',
        method: 'post',
        data: data
    })
}

// 修改健康咨询-科室人员资质证书信息
export function updateCertificate(data) {
    return request({
        url: '/system/certificate/edit',
        method: 'post',
        data: data
    })
}

// 删除健康咨询-科室人员资质证书信息
export function delCertificate(id) {
    return request({
        url: '/system/certificate/' + id,
        method: 'delete'
    })
}
